Package net.sf.saxon.serialize.codenorm

## Class Normalizer

- java.lang.Object
- - net.sf.saxon.serialize.codenorm.Normalizer

-     public class Normalizer
      extends java.lang.Object

  Implements Unicode Normalization Forms C, D, KC, KD. Copyright (c) 1991-2005 Unicode, Inc. For terms of use, see http://www.unicode.org/terms_of_use.html For documentation, see UAX#15.
  The Unicode Consortium makes no expressed or implied warranty of any kind, and assumes no liability for errors or omissions. No liability is assumed for incidental and consequential damages in connection with or arising out of the use of the information here.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `C` | Normalization Form Selector
    `static int` | `D` | Normalization Form Selector
    `static int` | `KC` | Normalization Form Selector
    `static int` | `KD` | Normalization Form Selector
    `static int` | `NO_ACTION` | Normalization Form Selector

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Normalizer` | `make​(int form, Configuration config)` | Create a normalizer for a given form: static synchronized factory method
    `java.lang.CharSequence` | `normalize​(java.lang.CharSequence source)` | Normalizes text according to the chosen form

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### D

          public static final int D

      Normalization Form Selector
      See Also:
        Constant Field Values

    - #### C

          public static final int C

      Normalization Form Selector
      See Also:
        Constant Field Values

    - #### KD

          public static final int KD

      Normalization Form Selector
      See Also:
        Constant Field Values

    - #### KC

          public static final int KC

      Normalization Form Selector
      See Also:
        Constant Field Values

    - #### NO_ACTION

          public static final int NO_ACTION

      Normalization Form Selector
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### make

          public static Normalizer make​(int form,
                                        Configuration config)
                                 throws XPathException

      Create a normalizer for a given form: static synchronized factory method
      Parameters:
        `form` - the normalization form required: for example `C`, `D`
        `config` - the Saxon configuration
      Throws:
        `XPathException` - if normalization fails

    - #### normalize

          public java.lang.CharSequence normalize​(java.lang.CharSequence source)

      Normalizes text according to the chosen form
      Parameters:
        `source` - the original text, unnormalized
      Returns:
        target the resulting normalized text